<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [getSleevePurchasableAugs](./bitburner.sleeve.getsleevepurchasableaugs.md)

## Sleeve.getSleevePurchasableAugs() method

List purchasable augs for a sleeve.

**Signature:**

```typescript
getSleevePurchasableAugs(sleeveNumber: number): AugmentPair[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sleeveNumber


</td><td>

number


</td><td>

Index of the sleeve to retrieve purchasable augmentations from.


</td></tr>
</tbody></table>

**Returns:**

[AugmentPair](./bitburner.augmentpair.md)<!-- -->\[\]

List of augmentations that the player can buy for this sleeve.

## Remarks

RAM cost: 4 GB

Return a list of augmentations that the player can buy for this sleeve.

